Project
Projects can be queried using the regular query-endpoint.
Get project access
Section titled “Get project access”GET /api/project/{projectId}/access
Request
Path parameters
projectIdID of project
Response
A list of users and departments and their access type:
[{ "accessType": "Read" | "Write", "userID": string, "user": object, "departmentID": string, "department": object}]Add or update access
Section titled “Add or update access”POST /api/project/{projectId}/access
Add or update access to a project and all associated entities.
Request
Path parameters
projectIdID of project
Body
{ "accessType": "Read" | "Write", "userID": string, // set userID or departmentID, not both "departmentID": string}Remove access
Section titled “Remove access”DELETE /api/project/{projectId}/access/{userOrDeptId}
Remove access for a user or department.
Request
Path parameters
projectIdID of projectuserOrDeptIdID of user or department to remove access for
Get access for user
Section titled “Get access for user”GET /api/project/{projectId}/access/{userId}
Get the access level for a specific user on a project.
Request
Path parameters
projectIdID of projectuserIdID of user
Get users with access
Section titled “Get users with access”GET /api/project/{projectId}/users
Get a list of all users that have access to a project.
Request
Path parameters
projectIdID of project
Response
A list of user objects.
Delete project
Section titled “Delete project”DELETE /api/project/{projectId}
Delete a project.
Request
Path parameters
projectIdID of project